> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all available WAF profiles



## OpenAPI

````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/waf/profiles
openapi: 3.0.4
info:
  title: Bunny Shield API
  description: >-
    Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection,
    Access Lists & API Guardian).
  version: v1
servers:
  - url: https://api.bunny.net
security: []
paths:
  /shield/waf/profiles:
    get:
      tags:
        - WAF
      summary: Retrieve all available WAF profiles
      operationId: List WAF Profiles
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetWafProfilesResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetWafProfilesResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetWafProfilesResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
            text/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
        '500':
          description: Internal Server Error
components:
  schemas:
    GetWafProfilesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: array
            items:
              $ref: '#/components/schemas/WafProfileMinimal'
          nullable: true
      additionalProperties: false
    UnauthorizedResult:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
      additionalProperties: false
    WafProfileMinimal:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isPremium:
          type: boolean
        profileCategory:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        features:
          type: string
          nullable: true
      additionalProperties: false

````